Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.common
Class XMLValidator.KeyRefValueStore

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.common.XMLValidator.ValueStoreBase
            |
            +--weblogic.apache.xerces.validators.common.XMLValidator.KeyRefValueStore

protected class XMLValidator.KeyRefValueStore
extends XMLValidator.ValueStoreBase

Key reference value store.

Author:
  Andy Clark, IBM

Field Summary
`protected XMLValidator.ValueStoreBase` | `fKeyValueStore` Key value store.

Fields inherited from class weblogic.apache.xerces.validators.common.XMLValidator.ValueStoreBase
`fIdentityConstraint, fValues, fValuesCount, fValueTuples, NOT_AN_IDVALUE`

Constructor Summary
`XMLValidator.KeyRefValueStore(KeyRef keyRef, XMLValidator.KeyValueStore keyValueStore)` Constructs a key value store.

Method Summary
`void` | `endDocument()` End document.
`void` | `endDocumentFragment()`

Methods inherited from class weblogic.apache.xerces.validators.common.XMLValidator.ValueStoreBase
`addValue, append, contains, destroy, duplicateValue, endValueScope, reportNilError, startValueScope, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fKeyValueStore

    protected XMLValidator.ValueStoreBase fKeyValueStore

  Key value store.

Constructor Detail

### XMLValidator.KeyRefValueStore

    public XMLValidator.KeyRefValueStore(KeyRef keyRef,
                                         XMLValidator.KeyValueStore keyValueStore)

  Constructs a key value store.

Method Detail

### endDocumentFragment

    public void endDocumentFragment()
                             throws java.lang.Exception

  Overrides:
    endDocumentFragment in class XMLValidator.ValueStoreBase

### endDocument

    public void endDocument()
                     throws java.lang.Exception

  End document.

  Overrides:
    endDocument in class XMLValidator.ValueStoreBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference